<?php
require_once 'ControlDB.php';
class ControlFoto {
	
	public function pegarTodosGaleria() {
		$galeria = new Galeria();
                $galeria->orderBy('ordem');
		$galeria->find();
		return $galeria;
	}
        
        public function pegarTodosGaleriaHabilitado() {
		$galeria = new Galeria();
                $galeria->orderBy('ordem');
                $galeria->setHabilitado(1);
		$galeria->find();
		return $galeria;
	}
	
	public function pegarUmGaleria($pk) {
		$galeria = new Galeria();
		$galeria->get($pk);
		return $galeria;
	}
	
	public function salvarGaleria(Galeria  $galeria) {
		$galeria->save();
		return 1;
	}
	
	public function excluirGaleria(Galeria  $galeria) {
            Utilidades::deletarAquivo($galeria->getFoto());
            Utilidades::deletarAquivo($galeria->getFotoq());
            $fotos = $galeria->getFotos();
                foreach ($fotos as $key => $row)
                {
                    $this->excluirFoto($row);
                }
            $galeria->delete();
            return 1;
	}
        
        //Foto
        
        public function pegarTodosFoto() {
		$foto = new Foto();
		$foto->find();
		return $foto;
	}
        
        public function pegarTodosFotoporGaleria($pk) {
		$foto = new Foto();
                $foto->setGaleriaid($pk);
                $foto->orderBy('Ordem');
		$foto->find();
		return $foto;
	}
	
	public function pegarUmFoto($pk) {
		$foto = new Foto();
		$foto->get($pk);
		return $foto;
	}
	
	public function salvarFoto(Foto  $foto) {
		$foto->save();
		return 1;
	}
	
	public function excluirFoto(Foto  $foto) {
            Utilidades::deletarAquivo($foto->getFoto());
            Utilidades::deletarAquivo($foto->getFotoq());
			$foto->delete();
			return 1;
	}
}


?>